Subject: ANN: JDE 2.2.7beta6 available at ...
From: Paul Kinnucan <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 30 Mar 2001 04:22:02 -0500

http://jde.sunsite.dk/

JDE 2.2.7beta6

***************************************************************
*                         PLEASE READ                         *
***************************************************************
*                                                             *
* This release requires semantic 1.3.3 (or later),            *
* speedbar 0.13 (or later), and eieio-0.15 (or later). You    *
* can obtain all three packages at                            *
* http://cedet.sourceforge.net                                *
*                                                             *
* This release also requires elib 1.0 or later.               *
* Your can obtain elib at the JDE web site in compressed      *
* tar (http://sunsite.auc.dk/jde/elib.tar.gz) or              *
* zip (http://sunsite.auc.dk/jde/elib.zip) format.            *
*                                                             *
***************************************************************

* Implements hierarchical project files. 

  The JDE now saves only variables that have been customized for the
  current session in project files. The JDE now loads project files in
  the following manner. It first sets all the JDE variables to their
  Emacs startup values (i.e., the default value or the value saved in
  your .emacs file). It then loads all the project files in the
  directory tree containing the current source buffer, starting with
  the topmost file.

  What this means is that you can now use project files to
  extend and/or override the settings in your .emacs file and
  in other project files. For example, your .emacs file can
  specify settings that are common to all your projects.
  You can put settings common to a group of projects at the
  top of the directory tree containing the projects, settings
  common to each project at the top of the directory containing
  each projects, and so on.

  Thanks to Nick Sieger for contributing to this enhancement.

* Includes minor improvements to the JDE's package statement
  generation facility contributed by David Ponce.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple